#define maxN 100000

#include <stdio.h>

int A[maxN], B[maxN], N, ans;
bool cuts[maxN];
int order[maxN], orderIndex[maxN];

void runCheck()
{
    bool willDo = true;
    int cmpPos = 0;
    for (int i = 0; i < N; i++)
    {
        int cutsCount = 0, curPos = 0;
        while (cutsCount < order[i] && curPos < N - 1)
        {
            if (cuts[curPos])
                cutsCount++;
            curPos++;
        }
        if (cutsCount == order[i])
            do {
                if (B[cmpPos] != A[curPos])
                    willDo = false;
                cmpPos++;
                curPos++;
            } while (curPos < N && ! cuts[curPos - 1]);
    }

    if (willDo)
    {
        int cutsCount = 0;
        for (int i = 0; i < N; i++)
            if (cuts[i])
                cutsCount++;
        if (cutsCount + 1 < ans)
            ans = cutsCount + 1;
    }
}

void runPermutations(int step)
{
    if (step == N)
        runCheck();
    else
    {
        for (int i = 0; i < N; i++)
            if (orderIndex[i] == -1)
            {
                order[step] = i;
                orderIndex[i] = step;
                runPermutations(step + 1);
                orderIndex[i] = -1;
            }
    }
}

void runCuts(int step)
{
    if (step == N - 1)
        runPermutations(0);
    else
    {
        cuts[step] = false;
        runCuts(step + 1);
        cuts[step] = true;
        runCuts(step + 1);
    }
}

int main()
{
    freopen("chocolate.dat", "r", stdin);
    freopen("chocolate.sol", "w", stdout);

    scanf("%d", &N);

    for (int i = 0; i < N; i++)
    {
        scanf("%d", &A[i]);
        A[i]--;
    }
    for (int i = 0; i < N; i++)
    {
        scanf("%d", &B[i]);
        B[i]--;
    }

    ans = N;
    for (int i = 0; i < N; i++)
        orderIndex[i] = -1;

    runCuts(0);

    printf("%d\n", ans);

    return 0;
}
